/* 
   jplay2 - JACK audio player for multimedia files

   Copyright (C) 2007 Robin Gareus

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 
   as published by the Free Software Foundation;

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#include <jack/jack.h>
#include <jack/transport.h>

typedef struct audiocache{
	int state; 
	jack_nframes_t start, end; 
	jack_default_audio_sample_t **d;
	struct audiocache *next;
} audiocache;


jack_nframes_t fillBuffer_cache(jack_default_audio_sample_t **bufferptrs, jack_nframes_t frames, 
				jack_nframes_t m_position, audiocache *cache, int *fadeedges );

audiocache *newcl(audiocache *cache);
audiocache *getcl( audiocache *cache);
void freecl(jack_nframes_t m_position, audiocache *cache );
void clearcache(audiocache *cache);
int testcls(jack_nframes_t p, audiocache *cache);

