/* 
   jplay2 - JACK audio player for multimedia files

   Copyright (C) 2007 Robin Gareus

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 
   as published by the Free Software Foundation;

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#include <jack/jack.h>
#include <jack/transport.h>

#ifdef HAVE_FFMPEG
void openfile_ff (char *filename);
void sampleseek_ff (jack_nframes_t sample);
jack_nframes_t fillBuffer_ff ( jack_default_audio_sample_t ** bufferptrs, jack_nframes_t frames );
	//---//
void openfile_ffjb (char *filename);
void sampleseek_ffjb (jack_nframes_t sample);
jack_nframes_t fillBuffer_ffjb(jack_default_audio_sample_t **bufferptrs, jack_nframes_t frames );
void *bufferthread(void *arg);
#else /* HAVE_FFMPEG */
void openfile_ff (char *filename) { ; }
void sampleseek_ff (jack_nframes_t sample) { ; }
jack_nframes_t fillBuffer_ff ( jack_default_audio_sample_t ** bufferptrs, jack_nframes_t frames ) { return(0); }
	//---//
void openfile_ffjb (char *filename) { ; }
void sampleseek_ffjb (jack_nframes_t sample) { ; }
jack_nframes_t fillBuffer_ffjb(jack_default_audio_sample_t **bufferptrs, jack_nframes_t frames ) { return (0); }
void *bufferthread(void *arg) { return (NULL); }
#endif /* HAVE_FFMPEG */


#ifdef HAVE_LQT
void openfile_qt (char *lqt_sucks_filename);
void sampleseek_qt (jack_nframes_t sample);
jack_nframes_t fillBuffer_qt( jack_default_audio_sample_t ** bufferptrs, jack_nframes_t frames );
#else /* HACE_LQT */
void openfile_qt (char *lqt_sucks_filename) { ; }
void sampleseek_qt (jack_nframes_t sample) { ; }
jack_nframes_t fillBuffer_qt( jack_default_audio_sample_t ** bufferptrs, jack_nframes_t frames ) { return(0);}
#endif /* HACE_LQT */

#ifdef HAVE_SNDFILE
void openfile_sf (char *filename);
void sampleseek_sf (jack_nframes_t sample);
void realloc_sf (jack_nframes_t buffersize);
jack_nframes_t fillBuffer_sf( jack_default_audio_sample_t **bufferptrs, jack_nframes_t frames );
#else  /* HACE_SNDFILE */
void openfile_sf (char *filename) { ; }
void sampleseek_sf (jack_nframes_t sample) { ; }
void realloc_sf (jack_nframes_t buffersize) { ; }
jack_nframes_t fillBuffer_sf( jack_default_audio_sample_t **bufferptrs, jack_nframes_t frames ) { return(0);}
#endif /* HACE_SNDFILE */
